/**
  * Base styles for creating a button component
  *
  * 1. Apply default NHS UK body styles
  * 2. Reset browser defaults
  */

.c-hce-button {
  // @extend .nhsuk-body; /* 1 */
  background-color: transparent; /* 2 */
  border: none; /* 2 */
  text-decoration: underline; /* 2 */
  padding: 0; /* 2 */
}

/**
  * Replicate NHS UK link styles
  */

.c-hce-button--link {
  color: $nhsuk-link-colour;

  &:hover {
    color: $nhsuk-link-hover-colour;
    cursor: pointer;
  }

  &:active {
    color: $nhsuk-link-active-colour;
  }
}

.hce-telesales-blue-button {
  background-color: $color_nhsuk-blue !important;
  box-shadow: 0 4px 0 darken($color_nhsuk-blue, 15%);
  margin-right: 10px;
  &:hover {
    color: $color_nhsuk-white;
    background-color: darken($color_nhsuk-blue, 5%) !important;
  }
  &:focus {
    background: $nhsuk-focus-color !important;
    box-shadow: 0 4px 0 $nhsuk-focus-text-color;
    color: $nhsuk-focus-text-color;
    outline: 4px solid transparent;
  }
  &:active {
    background-color: darken($color_nhsuk-blue, 15%) !important;
    color: $color_nhsuk-white;
  }
  &:visited {
    color: $color_nhsuk-white;
  }
}
